Переполнение буфера в PLIB

Дата публикации:
22.12.2011
Дата изменения:
22.12.2011
Всего просмотров:
674
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:P/RL:U/RC:C) = Base:9.3/Temporal:8.4
CVE ID:
CVE-2011-4620
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
Softerra PHPLibrary 1.x
Уязвимые версии: PLIB 1.8.5

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при создании сообщения об ошибке в функции ulSetError() . Удаленный пользователь может вызвать переполнение статического буфера и выполнить произвольный код на целевой системе.

Примечание: Для успешной эксплуатация уязвимости злоумышленник должен раскрыть содержимое сообщения об ошибке с большим объемом.

URL производителя: http://plib.sourceforge.net/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.exploit-db.com/exploits/18258/

или введите имя

CAPTCHA